Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2344 closed defect (fixed)

Second argument of ualarm() is ignored

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: unspecified Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

I don't think this is in line with POSIX.

Change History (7)

comment:1 Changed on 05/12/15 at 22:32:45 by Joel Sherrill

Would converting the second argument (interval) to ticks, saving it in a static variable, and using _Watchdog_Insert_ticks() in the TSR instead of _Watchdog_Reset_ticks() be enough to solve this?

Also this method was deprecated/obsoleted in one edition of POSIX but the current edition doesn't appear to mention that if I read the pages correctly.

Last edited on 05/12/15 at 22:33:28 by Joel Sherrill (previous) (diff)

comment:2 Changed on 05/13/15 at 06:36:28 by Sebastian Huber

Something like this should do it. I added this report as a note since I don't have time for this currently.

comment:3 Changed on 02/22/16 at 13:08:29 by Sebastian Huber

Milestone: 4.11.14.12
Owner: set to Sebastian Huber
Status: newaccepted

comment:4 Changed on 02/22/16 at 14:33:39 by Sebastian Huber <sebastian.huber@…>

In [changeset:"5d478af46b2bd928f32cb8977164fe03d161c77f/rtems"]:

psxtests/psxualarm: Add test cases

Update #2344.

comment:5 Changed on 03/04/16 at 14:00:20 by Sebastian Huber

Resolution: fixed
Status: acceptedclosed

comment:6 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:7 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.